Bug 610916 - [abrt] crash in exaile-0.3.2.0-1.fc13: engine_unified.py:118:on_message:AttributeError: 'NoneType' object has no attribute 'get_tag_raw'
Summary: [abrt] crash in exaile-0.3.2.0-1.fc13: engine_unified.py:118:on_message:Attri...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile (Show other bugs)
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e2b7b361
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-02 18:21 UTC by rudi
Modified: 2011-03-28 19:25 UTC (History)
1 user (show)

Fixed In Version: exaile-0.3.2.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-28 19:25:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (785 bytes, text/plain)
2010-07-02 18:21 UTC, rudi
no flags Details

Description rudi 2010-07-02 18:21:18 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: python /usr/lib/python2.6/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
executable: /usr/lib/python2.6/site-packages/exaile/exaile.py
kernel: 2.6.33.5-124.fc13.x86_64
package: exaile-0.3.2.0-1.fc13
reason: engine_unified.py:118:on_message:AttributeError: 'NoneType' object has no attribute 'get_tag_raw'
release: Fedora release 13 (Goddard)

backtrace
-----
engine_unified.py:118:on_message:AttributeError: 'NoneType' object has no attribute 'get_tag_raw'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/exaile/xl/player/engine_unified.py", line 118, in on_message
    if not self.current.get_tag_raw('__length'):
AttributeError: 'NoneType' object has no attribute 'get_tag_raw'

Local variables in innermost frame:
bus: <gst.Bus object (bus6) at 0x29265f0>
message: <gst.Message taglist, title=(string)"02\ boogie\ wonder\ land", artist=(string)"\?", album=(string)"disco\ fever", track-number=(uint)2, genre=(string)genre, container-format=(string)"ID3\ tag", duration=(guint64)288574000000; from id3demux1 at 0x7fc4440021d0>
self: <xl.player.engine_unified.UnifiedPlayer object at 0x2540610>
reading_tag: False

Comment 1 rudi 2010-07-02 18:21:21 UTC
Created attachment 429135 [details]
File: backtrace

Comment 2 Fedora Update System 2011-03-04 15:49:15 UTC
Package exaile-0.3.2.1-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-0.3.2.1-1.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc13
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-03-05 02:21:57 UTC
exaile-0.3.2.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc13

Comment 4 Fedora Update System 2011-03-28 19:22:50 UTC
exaile-0.3.2.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.